package com.sw.mes.yb.mcs.event;

import com.sw.mes.yb.mcs.dto.SpellBindingDto;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 拼棒托盘绑定事件
 * @Author: GaoXinJian
 * @Date: 2022-02-08 17:04
 */
@Getter
public class SpellBindingEvent extends ApplicationEvent {
    SpellBindingDto spellBindingDto;
    public SpellBindingEvent(Object source,SpellBindingDto spellBindingDto) {
        super(source);
        if (spellBindingDto==null){
            throw new IllegalArgumentException("null spellBindingDto");
        }
        this.spellBindingDto=spellBindingDto;
    }
}
